package com.develop.common.data_repo.db


data class ModelsModel(var resId: Int, var modeName: String, var modesType: ModesType)
data class NewsModel(var title: String, var des: String, var hasRead: Boolean)
data class SettingModel(var resId: Int, var name: String, var type: SettingType)
data class FilterSortModel(var name: String, var isOnLineState: Boolean = false)
data class HomeBannerListModel(var data: MutableList<HomeBannerModel>)
data class HomeBannerModel(var cover: Any, var zipUrl: String)
data class CommonSearchModel(var data: MutableList<CommonSearchItem>)
data class CommonSearchItem(var name: String)
data class CategoryModel(var allSize: Int, var recipesSize: Int, var ingredientSize: Int)
data class LanguageModel(var icon: Int, var languageName: String, var type: LanguageType)
data class FoodContentModel(
    var cover: Any,
    var foodName: String,
    var starCount: Int,
    var time: String,
    var level: String,
    var isNetRecipes: Boolean = false,
    var hasDownloaded: Boolean = false,
    var isLike: Boolean = false,
    var foodId: String = "",
    var recipesEdition: String? = "1.0",
    var useNum: Int = 0
)

data class FoodListModel(var foodList: MutableList<FoodContentModel>, var categoryName: String)

data class AuthModel(var success: Boolean, var msg: String? = null)

//====================枚举=============================//
enum class LanguageType {
    English,
    Chinese,
    France,
    Japan
}

enum class FunType {
    Modes,
    LocalRecipes,
    NetRecipes
}

enum class ModesType {
    ADAPTED_COOKING,
    WIGHT,
    BOIL_WATER,
    CHOP,
    SLOW_COOK,
    KNEAD_TOUGH,
    STEAM,
    FOOD_PROCESSOR,
    TURBO
}

enum class SettingType {
    LANGUAGE,
    WIFI,
    SOUND,
    BRIGHTNESS,
    USER_ACCOUNT,
    STORAGE,
    ABOUT,
    RESTORE_FACTORY_SETTINGS
}

enum class CategoryType {
    All,
    Recipes,
    Ingredients
}

enum class SortedType {
    Popular,
    Newest,
    Score,
    A2Z
}

enum class RecipesType {
    ONLINE,
    LOCAL
}